Update Notebook Instance configurations.

### HTTP request

`PATCH https://notebooks.googleapis.com/v1/{name}:updateConfig`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Format: `projects/{projectId}/locations/{location}/instances/{instanceId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `notebooks.instances.updateConfig` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "config": { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.instances/updateConfig#InstanceConfig`) } } ``` |

| Fields ||
|---|---|
| `config` | ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/projects.locations.instances/updateConfig#InstanceConfig`)`` The instance configurations to be updated. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## InstanceConfig

Notebook instance configurations that can be updated.

| JSON representation |
|---|
| ``` { "notebookUpgradeSchedule": string, "enableHealthMonitoring": boolean } ``` |

| Fields ||
|---|---|
| `notebookUpgradeSchedule` | `string` Cron expression in UTC timezone, used to schedule instance auto upgrade. Please follow the [cron format](https://en.wikipedia.org/wiki/Cron). |
| `enableHealthMonitoring` | `boolean` Verifies core internal services are running. |